Package ghidra.framework

# Class OSFileNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.FileNotFoundException
ghidra.framework.OSFileNotFoundException

All Implemented Interfaces:
  `Serializable`

public class OSFileNotFoundException extends FileNotFoundException
Signals that an attempt to find a Ghidra "OS-file" (native binary) has failed.

This exception provides a consistent way to display information about the missing OS-file that will aid in error reporting and debugging.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OSFileNotFoundException(Platform platform, String fileName)`
  Creates a new `OSFileNotFoundException` with an unknown module
  `OSFileNotFoundException(Platform platform, String moduleName, String fileName)`
  Creates a new `OSFileNotFoundException`
  `OSFileNotFoundException(String fileName)`
  Creates a new `OSFileNotFoundException` for the current `Platform` with an unknown module
  `OSFileNotFoundException(String moduleName, String fileName)`
  Creates a new `OSFileNotFoundException` for the current `Platform`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Platform`
  `getPlatform()`
  Gets the `Platform` associated with this exception

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OSFileNotFoundException

    public OSFileNotFoundException(Platform platform, String moduleName, String fileName)
    Creates a new `OSFileNotFoundException`
    Parameters:
      `platform` - The `Platform` associated with this exception
      `moduleName` - The module name associated with this exception
      `fileName` - The file name associated with this exception, from the given module

  - ### OSFileNotFoundException

    public OSFileNotFoundException(Platform platform, String fileName)
    Creates a new `OSFileNotFoundException` with an unknown module
    Parameters:
      `platform` - The `Platform` associated with this exception
      `fileName` - The file name associated with this exception, from an unknown module

  - ### OSFileNotFoundException

    public OSFileNotFoundException(String moduleName, String fileName)
    Creates a new `OSFileNotFoundException` for the current `Platform`
    Parameters:
      `moduleName` - The module name associated with this exception
      `fileName` - The file name associated with this exception, from the given module

  - ### OSFileNotFoundException

    public OSFileNotFoundException(String fileName)
    Creates a new `OSFileNotFoundException` for the current `Platform` with an unknown module
    Parameters:
      `fileName` - The file name associated with this exception, from an unknown module

- ## Method Details

  - ### getPlatform

    public Platform getPlatform()
    Gets the `Platform` associated with this exception
    Returns:
      The `Platform` associated with this exception